Skip to main content
`Ctrl`+`K`

# PetscSectionGetSym

Get the symmetries for the data referred to by the section

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetSym(PetscSection section, PetscSectionSym *sym)

Not Collective

## Input Parameter

- section - the section describing data layout

## Output Parameter

- sym - the symmetry describing the affect of orientation on the access of the data, provided previously by `PetscSectionSetSym()`

## See Also

PetscSection, `PetscSectionSym`, `PetscSectionSetSym()`, `PetscSectionSymCreate()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages